A set of business units associated with a particular qualification model.
patch
/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/{supplierQualificationModelsUniqID}/child/businessUnits/{QualModelBUAccessId}
Request
Path Parameters
-
QualModelBUAccessId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
supplierQualificationModelsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Qualification Models resource and used to uniquely identify an instance of Qualification Models. The client should not generate the hash key value. Instead, the client should query on the Qualification Models collection resource in order to navigate to a specific instance of Qualification Models to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
AssessmentOwnerId: integer
(int64)
Unique identifier of the user who owns the assessments created using the qualification model.
-
ProcurementBUId: integer
(int64)
Unique identifier of a procurement business unit.
-
QualModelBUAccessId: integer
(int64)
Unique identifier of the qualification model business unit access.
-
QualModelId: integer
(int64)
Unique identifier of the model.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierQualificationModels-businessUnits-item-response
Type:
Show Source
object-
AssessmentOwnerId: integer
(int64)
Unique identifier of the user who owns the assessments created using the qualification model.
-
AssessmentOwnerName: string
Title:
NameRead Only:trueMaximum Length:240Name of the user who owns the assessments created using the qualification model. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ProcurementBU: string
Title:
OrganizationRead Only:trueMaximum Length:240Name of the procurement business unit. -
ProcurementBUId: integer
(int64)
Unique identifier of a procurement business unit.
-
QualModelBUAccessId: integer
(int64)
Unique identifier of the qualification model business unit access.
-
QualModelId: integer
(int64)
Unique identifier of the model.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one business unit.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d '{ "ProcurementBUId": 204, "AssessmentOwnerId": 100010026863791 }' "https://servername/fscmRestApi/resources/version/supplierQualificationModels/supplierQualificationModelsUniqID/child/businessUnits/QualModelBUAccessId"
For
example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d '{ "ProcurementBUId": 204, "AssessmentOwnerId": 100010026863791 }' "https://servername/fscmRestApi/resources/version/supplierQualificationModels/300100250000001/child/businessUnits/300100250000201"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"ProcurementBUId": 204,
"AssessmentOwnerId": 100010026863791
}
Example Response Body
The following example includes the contents of the response
body in JSON format:
{
"QualModelBUAccessId": 300100250000201,
"QualModelId": 300100250000001,
"ProcurementBUId": 204,
"ProcurementBU": "Vision Operations",
"AssessmentOwnerId": 100010026863791,
"AssessmentOwnerName": "Davis, Cody",
"CreatedBy": "REST.USER",
"CreationDate": "2026-08-25T10:32:00+00:00",
"LastUpdatedBy": "REST.USER",
"LastUpdateDate": "2026-08-25T10:32:00+00:00",
"SysEffectiveDate": "2026-08-25",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/businessUnits/300100250000201",
"name": "businessUnits",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/businessUnits/300100250000201",
"name": "businessUnits",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001",
"name": "supplierQualificationModels",
"kind": "item"
}
]
}